clear; close all;
disp(' % Aus dem ersten Gleichungssystem erhlt man die Koeffizientenmatrix A und');
disp(' % die rechte Seite a:');
disp(' A = [11 6 4; 5 4 -2; 3 0 6]');
A = [11 6 4; 5 4 -2; 3 0 6]
disp(' a = [1 3 -9]''');
a=[1 3 -9]'
disp(' % Ob das Gleichungssystem gelst werden kann wird mit der Funktion rref berprft.');
disp(' A1 = [A a];');
A1=[A a];
disp(' X = rref(A1)');
X=rref(A1)
disp(' % Anhand der letzten Zeile sieht man das es keine Lsung gibt. Mit einem anderen');
disp(' % Vektor a kann es aber Lsungen geben, aber eben nicht bei jedem beliebigen a.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Aus dem zweiten Gleichungssystem erhlt man die Koeffizientenmatrix B und');
disp(' % die rechte Seite b:');
disp(' B = [1 2 3 4; 1 2 4 3; 2 4 7 1]');
B = [1 2 3 4; 1 2 4 3; 2 4 7 1]
disp(' b = [0 -2 -8]''');
b = [0 -2 -8]'
disp('Weiter mit Return');
pause
disp('');
disp(' B1 = [B b];');
B1=[B b];
disp(' X = rref(B1)');
X=rref(B1)
disp(' % Hier gibt es unendlich viele Lsungen. x2 ist frei whlbar und x1 hngt dann');
disp(' % von x2 ab. x3 = -1 und x4 = 1 liegen fest. Die allgemeine Lsung lautet:');
disp(' % x = [-1 0 -1 1] + t*[-2 1 0 0]');
disp(' % Eine mgliche Lsung lautet z.B.:');
disp(' % x2 = 0 => x1 = -1, x3 = -1 und x4 = 1');
disp(' x = [-1 0 -1 1]'';');
x = [-1 0 -1 1]';
disp(' B*x');
B*x
disp(' % Das Gleichungssystem ist fr jede rechte Seite b lsbar.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Aus dem dritten Gleichungssystem erhlt man die Koeffizientenmatrix C und');
disp(' % die rechte Seite c:');
disp(' C = [2 3 1 -2 0; 1 4 -3 6 -3; 3 7 -2 4 -3]');
C = [2 3 1 -2 0; 1 4 -3 6 -3; 3 7 -2 4 -3]
disp(' c = [5 5 10]''');
c=[5 5 10]'
disp('Weiter mit Return');
pause
disp('');
disp(' C1 = [C c];');
C1=[C c];
disp(' X = rref(C1)');
X=rref(C1)
disp(' % Auch hier gibt es unendlich viele Lsungen. x3, x4 und x5 sind frei whlbar und ');
disp(' % x1 und x2 hngen dann von x3, x4 und x5 ab. Eine spezielle Lsung lautet z.B.:');
disp(' xs = [1 1 0 0 0]'';');
xs = [1 1 0 0 0]';
disp(' C*xs');
C*xs
disp('Weiter mit Return');
pause
disp('');
disp(' % Die allgemeine Lsung besteht dann noch aus der homogenen Lsungsmenge:');
disp(' % x = [1 1 0 0 0]'' + s*[-2.6 1.4 1 0 0]'' + t*[5.2 -2.8 0 1 0]''');
disp(' % 	+ u*[-1.8 1.2 0 0 1]');
disp('');
disp(' % Mit der Funktion null bekommt man auch die homogene Lsungsmenge. Da drei');
disp(' % Variablen frei whlbar sind knnen sich die Lsungen vollkommen unterscheiden.');
disp(' Xh = null(C)');
Xh=null(C)
disp(' % Die allgemeine Lsung lautet dann: x = xs + s*Xh(:,1) + t*Xh(:,2) + u*Xh(:,3)');
disp(' % Das Gleichungssystem ist nicht fr jede rechte Seite c lsbar.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Aus dem vierten Gleichungssystem erhlt man die Koeffizientenmatrix D und');
disp(' % die rechte Seite d:');
disp(' D = [1 3 -2 -1 1 4; 1 4 -3 0 1 6; -2 -8 6 3 2 -13; -1 0 -1 7 3 3]');
D = [1 3 -2 -1 1 4; 1 4 -3 0 1 6; -2 -8 6 3 2 -13; -1 0 -1 7 3 3]
disp(' d = [-1 -1 6 9]''');
d = [-1 -1 6 9]'
disp('Weiter mit Return');
pause
disp('');
disp(' D1 = [D d];');
D1 = [D d];
disp(' X = rref(D1)');
X=rref(D1)
disp(' % Auch hier gibt es unendlich viele Lsungen. x3 und x5 sind frei whlbar und ');
disp(' % x1, x2 und x4 hngen dann von x3 und x5 ab. x6 = 2 liegt fest.');
disp(' % Eine spezielle Lsung lautet z.B.:');
disp(' xs = [11 -6 0 2 0 2]'';');
xs = [11 -6 0 2 0 2]';
disp(' D*xs');
D*xs
disp('Weiter mit Return');
pause
disp('');
disp(' % Die allgemeine Lsung besteht dann noch aus der homogenen Lsungsmenge:');
disp(' % x = [11 -6 0 2 0 2]'' + s*[-1 1 1 0 0 0]'' + t*[-6.3333 1.333 0 -1.3333 1 0]''');
disp('');
disp(' % Mit der Funktion null bekommt man auch die homogene Lsungsmenge. Da zwei');
disp(' % Variablen frei whlbar sind knnen sich die Lsungen vollkommen unterscheiden.');
disp(' Xh = null(D)');
Xh=null(D)
disp(' % Die allgemeine Lsung lautet dann: x = xs + s*Xh(:,1) + t*Xh(:,2)');
disp(' % Das Gleichungssystem ist fr jede rechte Seite d lsbar.');
pause
exit