clear; close all;
disp(' % Zunchst werden die Zufallsmatrizen erzeugt.');
disp(' N = 100;');
N = 100;
disp(' A = fix(10*rand(N));');
A=fix(10*rand(N));
disp(' B = round(10*randn(N));');
B=round(10*randn(N));
disp(' % Fr A wird fix gebraucht, da fix auf den ganzzahligen Wert abschneidet und');
disp(' % dadurch der Wert Null herauskommen kann, 10 aber nicht.');
disp('');
disp(' % Dann werden die minimalen und maximalen Elemente gesucht.');
disp(' amin = min(min(A))');
amin=min(min(A))
disp(' amax = max(max(A))');
amax=max(max(A))
disp('Weiter mit Return');
pause
disp('');
disp(' bmin = min(min(B))');
bmin=min(min(B))
disp(' bmax = max(max(B))');
bmax=max(max(B))
disp(' % Jetzt werden die Hufigkeiten gezhlt.');
disp(' a = [];');
disp(' for n = amin:amax,');
disp(' 	a = [a length(find(A==n))];');
disp(' end;');
a=[];
for n=amin:amax,
	a=[a length(find(A==n))];
end;
disp(' % Die Hufigkeiten werden gleich ins Bild 1 gezeichnet.');
disp(' figure(1)');
figure(1)
disp(' plot(amin:amax,a,''*'');');
plot(amin:amax,a,'*'); 
disp(' hold on;');
hold on;
disp(' % Der Mittelwert als horizontale Linie wird auch gleich miteingezeichnet.');
disp(' am = mean(a)');
am=mean(a)
disp(' plot([amin amax],[am am],''k'');');
plot([amin amax],[am am],'k');
disp('Weiter mit Return');
pause
disp('');
disp(' Nun das gleiche fr die Matrix B.');
disp(' b = [];');
disp(' for n = bmin:bmax,');
disp(' 	b = [b length(find(B==n))];');
disp(' end;');
b=[];
for n=bmin:bmax,
	b=[b length(find(B==n))];
end;
disp(' figure(2)');
figure(2)
disp(' plot(bmin:bmax,b,''.'');');
plot(bmin:bmax,b,'.'); 
disp(' hold on;');
hold on;
disp(' % Ins Bild 2 wird jetzt noch die Normalverteilungsfunktion eingezeichnet.');
disp(' x = bmin:.1:bmax;');
disp(' s = 10;');
disp(' y = N*N*exp(-x.^2/2/s^2)/s/sqrt(2*pi);');
disp(' hold on;');
disp(' plot(x,y,''r'');');
x=bmin:.1:bmax;
s=10;
y = N*N*exp(-x.^2/2/s^2)/s/sqrt(2*pi);
hold on;
plot(x,y,'r');
disp('Weiter mit Return');
pause
disp('');
disp(' % Nun wird berprft ob die Behauptungen stimmen.');
disp(' xl = length(find(abs(B)<=s))/N/N*100');
xl = length(find(abs(B)<=s))/N/N*100
disp(' x2 = length(find(abs(B)<=2*s))/N/N*100');
x2=length(find(abs(B)<=2*s))/N/N*100
disp(' x3 = length(find(abs(B)<=3*s))/N/N*100');
x3=length(find(abs(B)<=3*s))/N/N*100
disp(' % Wie man sieht stimmen alle drei Behauptungen.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt werden die verlangten Matrizen berechnet.');
disp(' C = A*B + B*A;');
disp(' D = A.*B + B.*A;');
disp(' E = A''*B + B''*A;');
disp(' F = A''*A + B''*B;');
C=A*B+B*A;
D=A.*B+B.*A;
E=A'*B+B'*A;
F=A'*A+B'*B;
disp(' % Nun werden noch die Rnge und Determinanten berechnet.');
disp(' Raenge = [rank(C) rank(D) rank(E) rank(F)]');
Raenge=[rank(C) rank(D) rank(E) rank(F)]
disp(' Det = [det(C) det(D) det(E) det(F)]');
Det = [det(C) det(D) det(E) det(F)]
disp(' % Zum Schlu wird noch die Symmetrie berprft.');
disp(' Sym=[all(all(C==C'')) all(all(D==D'')) all(all(E==E'')) all(all(F==F''))]');
Sym=[all(all(C==C')) all(all(D==D')) all(all(E==E')) all(all(F==F'))]
disp(' % C und D sind nicht symmetrisch, aber E und F sind symmetrisch.');
pause
exit
