clear; close all;
disp(' % Zunchst werden die Wertepaare eingegeben:');

disp(' x = 0.2:0.2:2;');

x=0.2:0.2:2;
disp(' y = [0.64 0.36 0.16 0.04 0 0.04 0.16 0.36 0.64 1];');

y=[0.64 0.36 0.16 0.04 0 0.04 0.16 0.36 0.64 1];
disp('');
disp(' % Nun wird eine Matrix der Form [1/x sqrt(x) exp(x)] gebraucht.');

disp(' A = [1./x'' sqrt(x)'' exp(x)'']');

A=[1./x' sqrt(x)' exp(x)']
disp('Weiter mit Return');
pause
disp('');
disp(' % Nun werden die Koeffizienten k = [a b c]'' mit der Methode der kleinsten');
disp(' % Quadrate berechnet.');
disp(' AA = A''*A;');
disp(' bb = A''*y'';');
disp(' A1 = [AA bb];');
disp(' K = rref(A1)');
AA=A'*A;
bb=A'*y';
A1=[AA bb];
K=rref(A1)
disp(' % Das System ist eindeutig lsbar.');
disp(' k = AA\bb');
k=AA\bb
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt wird die Kurve noch gezeichnet:');
disp(' % Zunchst die angegebenen Werte als rote Punkte.');
disp(' plot(x,y,''ro'');');
plot(x,y,'ro');
disp(' hold on;');
hold on;
disp('');
disp(' % Dann die Funktion. Dazu werden viel mehr Zwischenwerte gebraucht.');
disp(' xx = linspace(0.2,2,300);');
xx=linspace(0.2,2,300);
disp('');
disp(' % Dann werden die dazugehrigen y-Werte ausgerechnet.');
disp(' yy = k(1)*1./xx + k(2)*sqrt(xx) + k(3)*exp(xx);');
yy=k(1)*1./xx+k(2)*sqrt(xx)+k(3)*exp(xx);
disp('');
disp(' plot(xx,yy,''b-'');');
plot(xx,yy,'b-');
disp(' hold on;');
hold on;
disp('Weiter mit Return');
pause
disp('');
disp(' % Fr die Parabel wird eine Matrix der Form [1 x x^2] gebraucht.');
disp(' B = [ones(10,1) x'' x.^2'']');

B=[ones(10,1) x' x.^2']
disp(' % Nun werden die Koeffizienten m = [a b c]'' mit der Methode der kleinsten');
disp(' % Quadrate berechnet.');
disp(' BB = B''*B;');
disp(' cc = B''*y'';');
disp(' B1 = [BB cc];');
disp(' M = rref(B1)');
BB=B'*B;
cc=B'*y';
B1=[BB cc];
M=rref(B1)
disp(' % Das System ist eindeutig lsbar.');
disp('Weiter mit Return');
pause
disp('');
disp(' m = BB\cc');
m = BB\cc
disp(' % Jetzt wird die Kurve auch mit ins Bild gezeichnet:');
disp(' % Es werden wieder die dazugehrigen y-Werte ausgerechnet.');
disp(' yyy = m(1) + m(2)*xx + m(3)*xx.^2;');
yyy = m(1) + m(2)*xx + m(3)*xx.^2;
disp('');
disp(' plot(xx,yyy,''g-'');');
plot(xx,yyy,'g-');
disp('');
disp(' % Jetzt werden noch die Achsen beschriftet:');
disp(' xlabel(''x'')');
disp(' ylabel(''y'')');
disp(' title(''Approximation: blau - beliebige Funktion; grn - Parabel'')');
xlabel('x');
ylabel('y');
title('Approximation: blau - beliebige Funktion; grn - Parabel');
pause
exit
